;; This is an operating system configuration generated
;; by the graphical installer.

(use-modules (gnu))
(use-service-modules desktop networking ssh)

(operating-system
  (locale "en_CA.utf8")
  (timezone "America/Toronto")
  (keyboard-layout (keyboard-layout "us"))
  (host-name "dax")
  (users (cons* (user-account
                  (name "xe")
                  (comment "Xe")
                  (group "users")
                  (home-directory "/home/xe")
                  (supplementary-groups
                    '("wheel" "netdev" "audio" "video")))
                %base-user-accounts))
  (packages
    (append
      (list (specification->package "nss-certs"))
      %base-packages))
  (services
    (append
      (list (service openssh-service-type)
            (service network-manager-service-type)
            (service wpa-supplicant-service-type))
      %base-services))
  (bootloader
    (bootloader-configuration
      (bootloader grub-bootloader)
      (target "/dev/sda")
      (keyboard-layout keyboard-layout)))
  (swap-devices
    (list (uuid "43b938b1-e2dc-4200-a6d4-ce46b639b224")))
  (file-systems
    (cons* (file-system
             (mount-point "/")
             (device
               (uuid "64f46c58-64b8-4528-ac2f-e2027139c2c4"
                     'ext4))
             (type "ext4"))
           %base-file-systems)))
